Subject: Science Proves Biblical Diabetes Cure (Atheists Stunned).

From: "Health Shocker" <[email-masked]>
Date: Sun, 15 May 2016 12:15:48 -0700

Your email client does not support HTML, this email must be viewed in HTML mode.